Tip 1 : Solve as many questions as possible
Tip 2 : Focus on Communication Skills
Tip 3 : Spend some time on resume building
Tip 4 : Give some mock interviews
Tip 5 : Read others experiences as it will give you an idea about the whole interview process
Tip 6 : Learn from failures and try not to repeat the same mistakes in the future
Tip 7 : Most importantly enjoy the process
Tip 1 : Should not exceed 1 page
Tip 2 : Put only those things which you are confident that you can answer anything
Tip 3 : Have some projects on your resume
Tip 4 : Select the template of your resume based on its readability
Tip 5 : Put things on your resume in a systematic manner(Don't create a mess)
Tip 6 : Take a look at other selected resumes as it will give an idea on what basis companies accept or reject the resumes
For MCQ Round, we have 2 rounds:-
1. Logical Reasoning (Window of 4 hours)
2. Mathematical Reasoning(Window of 4 hours)
The environment was fine. They gave an option of attempting a mock test in order to familiarize us with the environment
Logical Reasoning, in which there were 12 questions, and for each question we had a time limit of 75 seconds. There was a cut-off of 40 for the next round, and people who qualified were sent an e-mail with a link to continue with the process.
Numerical Reasoning, in my opinion, was the most challenging round. The questions were in a pair of 3 in which a table/bank statement was given and 3 questions were based on that. The questions were purely based on calculations and semi-subjective. The time given for the 1st question was 90 seconds and for the rest 2 questions, 75 seconds each
For Coding Round,
120 minutes window(Test was of 90 minutes)
We have two questions
For the first question(30 Minutes)
For the second question(60 Minutes)
The tricky thing was we only had one attempt, i.e we were allowed to submit the solution only once.
For 'arr' = [ 1, 2, 3, 1, 2]. you need to return 1.
Step 1 : Make a Frequency array of size 26
Step 2 : Iterate on the string from left to right and increase the frequency of the character by one
Step 3 : Iterate on the Frequency array and find the max frequency and its corresponding character
1. He always presses the button which has a digit written on it, i.e., he never presses the ‘*’ and ‘#’ button.
2. Once he presses a button, the next button he presses should either be the same button or the button which is adjacent to the previous button.
3. In starting he can press any button except ‘*’ and ‘#’.
Step 1 : We can solve this using recursion but it will be too slow
Step 2 : So to improve the complexity, we need to use memoization so that we will not recalculate the same step again and again
Step 3 : Recursion + Memoization = Dynamic Programming solution Passed all cases
The timing was around 1 pm and the whole interview went for about 40 minutes.
The interviewer first went through my resume and asked me to introduce myself. After my introduction, he asked me about my projects mentioned in the resume. In the introduction itself, I told him that I am interested in competitive programming and preparing for ICPC. He then asked me about my preparation for ICPC. He then asked me some questions from OOPS. I was then asked 1 simple CP problem. The interviewer also asked about situation-based problems. As I previously mentioned about Competitive Programming, he asked how this will help in adding value to the company.
Step 1 : To mark the presence of an element size of the array, n is added to the index position arr[i] corresponding to array element arr[i].
Step 2 : Before adding n, check if the value at index arr[i] is greater than or equal to n or not. If it is greater than or equal to, then this means that element arr[i] is repeating.
Step 3 : To avoid printing repeating elements multiple times, check if it is the first repetition of arr[i] or not. It is the first repetition if the value at index position arr[i] is less than 2*n. This is because, if element arr[i] has occurred only once before then n is added to index arr[i] only once and thus value at index arr[i] is less than 2*n. Add n to index arr[i] so that value becomes greater than or equal to 2*n and it will prevent further printing of the current repeating element. Also if value at index arr[i] is less than n then it is first occurrence (not repetition) of element arr[i]. So to mark this add n to the element at index arr[i].
In this round interviewer basically asked about my project in detail and also asked about various technologies used in that project.
I told them that I have been doing competitive programming in C++, he asks why am I using only C++ and not any other language. I have done a project in python also so he asks me about the difficulties that I face during the transition from C++ to Python. As I was not from Computer Science, he asks me about the difficulties that I face in managing studies of my branch and preparing for these technical interviews at the same time.
Tip 1 : Be confident
Tip 2 : Be thorough in the theory
Tip 3 : You should know about everything you have mentioned in the resume like what it does, how it works etc.
We were asked about family background, location of the intern, any interest in startups (as they don’t want students who they hire also work with startups side by side), etc.
1. Family background
2. Location of the intern
3. Any interest in startups (as they don’t want students who they hire also work with startups side by side)
4. Willingness to relocate
Tip 1 : Remain calm
Tip 2 : Interviewers often ask about your strengths and weaknesses, so be prepared for those
Tip 3 : Research the company
Tip 4 : Make sure your answers are consistent with what’s on your resume
Here's your problem of the day
Solving this problem will increase your chance to get selected in this company
How do you write a single-line comment in C++?